.filter--left {
	width: 43%;
}

.filter--right {
	flex: 1;
	padding-left: 20px;
}

@media (max-width: 1023px) {
	.filter--left, .filter--right {
		width: 100%;
	}
	.filter--right {
		flex: auto;
		padding: 20px 0 0;
	}
}

.filter__header {
	margin-bottom: 10px;
}

.input__search {
	position: relative;
	input {
		padding: 5px 5px 5px 25px;
	}
	button[type="submit"] {
		position: absolute;
		left: 0;
		top: 0;
		bottom: 0;
		color: var( --dark-3 );
	}
}

.filter__name {
	input {
		padding-left: 0;
		width: 200px;
		border: none;
		border-bottom: 1px solid var( --light-1 );
		font-size: 1.8rem;
		color: var( --dark-1 );
		@include placeholder() {
			font-weight: bold;
			color: var( --dark-1 );
		}
	}
}

.filter__total-stock {
	font-weight: bold;
	font-size: 1.8rem;
	span {
		color: var( --blue );
	}
}

.filter__save {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
}

.filter__inputs {
	margin-bottom: 10px;
}

.filter__buttons {
	button + button {
		margin-left: 20px;
	}
}

.condition__tab-content {
	display: none;
	&.active {
		display: block;
	}
	width: 55%;
}

.condition__tab-items {
	height: 350px;
	overflow-y: auto;
	width: 45%;
	background: var( --light-1 );
	.tab__item {
		transition: none;
		padding: 8px 16px;
		display: block;
		color: var( --dark-1 );
		position: relative;
		i {
			position: absolute;
			right: 16px;
			top: 50%;
			transform: translateY(-50%);
		}
		&.active,
		&:hover {
			background: var( --blue );
			color: var( --white );
		}
	}
}

.condition__tab-content,
.filter__edit-condition {
	height: 350px;
	overflow-y: auto;
	&::-webkit-scrollbar-thumb {
	    background: var( --dark-3 );
	}
}

.condition__tab-content {
	padding: 13px 8px;
	background: var( --light-2 );

	label {
		display: block;
		position: relative;
		cursor: pointer;
		& + label {
			margin-top: 15px;
		}
	}
}

.filter__edit-condition {
	.condition__item {
		justify-content: space-between;
		align-items: center;
		position: relative;
		> div {
			position: relative;
			@media (max-width: 575px) {
				width: 100%;
			}
		}
		& + .condition__item {
			margin-top: 15px;
		}
		.remove {
			color: var( --red );
			cursor: pointer;
			position: absolute;
			top: 0;
			left: 0;
		}
	}
	label span {
		display: block;
		padding-left: 15px;
	}
	.condition__edit {
		width: 40%;
	}
}

.condition__slider-wrapper {
	width: 60%;
	align-items: center;
	input[type="number"] {
		width: 70px;
		padding: 8px 2px;
		text-align: center;
	}
}

.condition__slider {
	flex: 1;
}

.noUi-horizontal {
	height: 4px;
	border: none;
	background: var( --light-2 );
}

.noUi-horizontal {
	.noUi-handle {
		backface-visibility: initial;
		width: 10px;
		height: 18px;
		border: none;
		border-radius: 0;
		box-shadow: none;
		right: -4px !important;
		top: -12px !important;
		background: transparent url( './images/range-handle.svg' ) no-repeat;
		&:before,
		&:after {
			display: none;
		}
	}
}

.noUi-connect {
	background: var( --blue );
}
.noUi-horizontal .noUi-tooltip {
	top: 110%;
	border: none;
	background: none;
	padding: 0;
}

.input__selects {
	> select {
		width: 185px;
		padding: 4px 5px;
	}
	justify-content: space-between;
}
